#ifndef BASEDIR_
#define BASEDIR_

#define VIRGIN	00
#define CHANGED 01
#define NEW	02
struct base {
	struct base *next;
	char *name;
	struct man *first, *last, *current;
	int data;
};

#ifdef BASEDIR_C_
#include <sys/types.h>
#include <sys/stat.h>
#include <dirent.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>

#include "base.h"
#include "otakconfig.h"
#include "miscfnc.h"
#else
extern struct base *first_base, *last_base, *current_base;
#endif
void add_base(char *name);
void del_base(struct base *p);
void set_manpointers(void);
void set_basepointers(void);
void clear_manpointers(void);
int read_basedir(void);
void write_basedir(void);
#endif
