# $Revision: 1.4 $, 

#$Date: 2003/02/10 00:24:09 $
Summary:	Visual interface to programs.
Summary(pl):	Textowy interfejs dla programw.
Name:		otak
Version:	1.3.2
Vendor:		Grzegorz Moskal <g.moskal@opengroup.org>
Release:	1
License:	GPL
Group:		Applications/Mail
URL:		http://otak.k-k.pl
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main idea behind otak, is to provide visual interface to programs,
that doesn't have one, but needs to take arguments, that can be selected
from list.  For example one can use it as an adress book program in 
connection with mutt, or as a phone-book with sms-sending software,
or even as list of hosts to ssh or ftp to.

%description -l pl
Otak zosta zaprojektowany jako interfejs graficzny dla programw,
ktre go nie posiadaj, ale wymagaj argumentu, ktry moe by wybrany
z listy. Przykadowo : Mona powiza otak z mutt`em i uywa jako
ksiki adresowej, albo powiza go z sms`em i uywa jako 
ksiki "smsowej", mona te np. powiza otaka z komend ssh (czy ftp)
i nawizywa poczenia z gromadzonymi hostami.
%prep
%setup -q

%build
%configure
%{__make} \
%ifnarch %{ix86}
	CCLD="%{__cc} -lm"
%endif
 
%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS THANKS NEWS TODO-pl README ABOUT ABOUT-pl BUGS-pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Network/Mail/*
%{_pixmapsdir}/*
%{_mandir}/man*/*.*
%lang(pl) %{_mandir}/pl/man*/*.*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl
