#ifndef _TMENU_H
#define _TMENU_H

#include "tobj.h"


/* Events (1951 - 2000) */
#define EVENT_TMENU_ACCEPT (1951L)
#define EVENT_TMENU_REJECT (1952L)

/* Methods (951-1000) */
#define TMENU_ENTRY_ADD		(951L)

/* Attributes (951-1000) */


#define TMENU_END (NULL)

struct tcmenu_entry
{
	char *title;
	notifyfnc fnc;
	long data;
};

int add_menuobj(struct tobj *menu, char * title, notifyfnc fnc, long data);

struct tobj *tcmenu_init(struct tobj *parent, unsigned int x,
			unsigned int y, unsigned int w, unsigned int h,
			struct tcmenu_entry *cmenutab);

#ifndef _MTAB_
extern struct tcmenu_entry mtab[];
#endif
#endif
