#ifndef _TTXTVIEW_H
#define _TTXTVIEW_H

#include "tobj.h"


/* Events (1701 - 1800) */

/* Methods (701-800) */
#define TTXTVIEW_SCROLL_LEFT	(701L)
#define TTXTVIEW_SCROLL_RIGHT	(702L)
#define TTXTVIEW_SCROLL_UP	(703L)
#define TTXTVIEW_SCROLL_DOWN	(704L)
#define TTXTVIEW_SCROLL_PAGEUP	(705L)
#define TTXTVIEW_SCROLL_PAGEDOWN	(706L)
#define TTXTVIEW_SCROLL_BEGIN	(707L)
#define TTXTVIEW_SCROLL_END	(708L)
#define TTXTVIEW_SCROLL_BEGINLINE	(709L)
#define TTXTVIEW_SCROLL_ENDLINE	(710L)

/* Attributes (701-800) */

#define TTXTVIEW_BUFFER		(701L)
#define TTXTVIEW_FORMATING	(702L)
#define TTXTVIEW_TABSIZE	(703L)
#define TTXTVIEW_FIRST_LINE	(711L)
#define TTXTVIEW_FIRST_CHAR	(712L)
#define TTXTVIEW_LINES_MAXLEN	(713L)
#define TTXTVIEW_LINES	(714L)

#define TTXTVIEW_FORMATING_WRAP	0
#define TTXTVIEW_FORMATING_WORD	1
#define TTXTVIEW_FORMATING_CUT	2
#define TTXTVIEW_FORMATING_SCROLL	3

struct tobj *ttxtview_init(struct tobj *parent, int x, int y, int w, int h,
			   char *text);

#endif
