/*
  otak project.
  copyright (C) 2002 
  grzegorz moskal,  <g.moskal@opengroup.org>
  license : gnu gpl version 2 			*/

#define BARKEYS_C_
#include "barkeys.h"
struct tobj *bar_keys;
void barkeys_free(void)
{
	tobj_free(bar_keys);
	bar_keys = NULL;
}

int barkeys_service(int data)
{
	if (tobj_doevent(bar_keys, data))
		return 1;
	return 0;
}

static void use_item_b(struct tobj *obj, long data)
{

	struct stanza *jmp = first_stanza;
	int key = (int)data;

	for ((void) obj; jmp; jmp = jmp->next)
		if (jmp->key == key) {
			if ((current_drawer = find_drawer_by_stanza(jmp)))
				muse_create_m(0, 0);
			break;
		}
		
}

#define ADD_TOOL(fnc,key,txt) add_tool(bar_keys, fnc, key, translate(txt), 0)
#define ADD_INFO(txt) add_tool(bar_keys, 0, 0, translate(txt), TTOOL_INFO)
int barkeys_create(struct tobj *rootwin)
{
	struct stanza *jmp = first_stanza;
	
	if (!(bar_keys = ttoolbar_init(rootwin, (toolbar_up) ? 0 : 1)))
		return 0;

	if (!ADD_INFO(return_otakvmsg(":: ")))
		return 0;

	for (; jmp; jmp = jmp->next) 
		if (jmp->key && !ADD_TOOL(use_item_b, jmp->key, jmp->label))
			return 0;
	return 1;
}

